Subject: [bug#63576] [PATCH v1 0/4] Add aarch64-none-elf-gcc-toolchain.

From: Efraim Flashner <[email-masked]>
Date: Sun, 4 Jun 2023 11:43:16 +0300

On Thu, May 18, 2023 at 08:24:34PM +0200, Denis 'GNUtoo' Carikli wrote:
> Hi,
> 
> Here's a patch serie to add a GCC cross toolchain for aarch64-none-elf. For
> now it doesn't contain C++ support but that can be added on later.
> 
> I've validated by building u-boot locally with it.

I'm not entirely sure what this means. How is it different from how we
build u-boot now?

> I didn't test it for microncontroller development as I don't know what board
> to get to test it. Apparently support for 64bit was added to Armv8-R, so it
> might be possible to find some boards with 64bit CPUs at some point.

Pity, this is what I was going to ask about.

> Denis 'GNUtoo' Carikli (4):
>   gnu: Add aarch64-none-elf-binutils.
>   gnu: Add aarch64-none-elf-gcc.
>   gnu: Add aarch64-none-elf-newlib.
>   gnu: Add aarch64-none-elf-gcc-toolchain.
> 
>  gnu/local.mk                                |   1 +
>  gnu/packages/aarch64-none-elf-toolchain.scm | 159 ++++++++++++++++++++
>  2 files changed, 160 insertions(+)
>  create mode 100644 gnu/packages/aarch64-none-elf-toolchain.scm
> 
> 
> base-commit: 5b700945fb0b33eec410de8979cae2fbf0d4f118
> -- 
> 2.40.1

I'm not opposed to adding these packages, but I want to make sure that
they're useful for what people would be looking for. I also think that
they'd be best in gnu/packages/embedded.scm near the very similar arm
packages.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted